06 мая 2016

Установить/обновить ядро Linux Kernel 4.5.3 в Ubuntu и производные

Предупреждение. Ядро Linux является критичным элементом системы. Обновления ядра могут содержать улучшения аппаратной поддержки или устранять уязвимости.  Делать обновление стоит когда одно из аппаратных устройств работает некорректно, а новое ядро может решить данную проблему.  Но в тоже время установка нового ядра без особой необходимости может привести к нежелательным регрессиям, таким как: отсутствие подключения к сети, отсутствие звука или даже невозможность загрузить систему, поэтому устанавливайте новое ядро на свой страх и риск.

Ядро Linux Kernel 4.5.3 является третьим корректировочным выпуском ядра версии 4.5.
Для установки вы можете скачать соответствующие deb пакеты ОТСЮДА и установить их в Центре приложений Ubuntu. Или просто следуйте приведенным ниже инструкциям, которые помогут вам установить новое ядро несколькими командами в терминале.

Установить ядро версии 4.5.3 командами ниже, можно ​​в следующих дистрибутивах Linux:

Ubuntu 16.04/15.10/14.04/12.04
Linux Mint 17.3/17.2/17.1/17/13
elementary OS 0.2/0.3/0.3.2
Deepin 15.2

Установка ядра Linux Kernel 4.5.3

Напоминание пользователям компьютеров с видеокартами Nvidia/AMD. Перед установкой ядра, желательно переключиться на свободный драйвер.

1. Откройте терминал, скопируйте и выполните одну из команд, согласно архитектуры вашей системы: 32 или 64-bit.

Для 32-bit (одной командой):

cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.3-wily/linux-headers-4.5.3-040503-generic_4.5.3-040503.201605041831_i386.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.3-wily/linux-headers-4.5.3-040503_4.5.3-040503.201605041831_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.3-wily/linux-image-4.5.3-040503-generic_4.5.3-040503.201605041831_i386.deb; sudo dpkg -i *.deb

Для 64-bit (одной командой): 

cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.3-wily/linux-headers-4.5.3-040503-generic_4.5.3-040503.201605041831_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.3-wily/linux-headers-4.5.3-040503_4.5.3-040503.201605041831_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.3-wily/linux-image-4.5.3-040503-generic_4.5.3-040503.201605041831_amd64.deb; sudo dpkg -i *.deb

 2. Обновите GRUB (GRUB надо обновлять в той системе Linux где он установлен, если у вас их более одной):

sudo update-grub

Примечание 1. Если у вас установлен загрузчик BURG, то и его нужно обновить:

sudo update-burg

3. По окончании установки, закройте все приложения и перезагрузите компьютер следующей командой:

sudo reboot

После входа в систему, проверьте версию актуального ядра командой в терминале:
uname -r


Примечание 2. Ядро версии версии 4.5.3 установилось с проприетарным драйвером Nvidia и система работает стабильно только в дистрибутивах Ubuntu 16.04.



В дистрибутивах Ubuntu 14.04 и Linux Mint 17.3 с новым ядром система работает стабильно только с свободным драйвером.

Примечание 3. Как вернуться к ранее установленному ядру, инструкция ЗДЕСЬ.

Если вы решили удалить ядро 4.5.3, выполните эту команду:

sudo apt-get purge linux-image-4.5.3-*

И вновь обновите GRUB командой:

sudo update-grub

Источник: https://www.kernel.org/

Удачи.

10 комментариев :

  1. В последней Ubuntu 16.04 есть проблемы с suspend режимом, установка ядер 4.4.8 или 4.5.х решают проблему.
    Баг: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1566302

    ОтветитьУдалить
  2. Ubuntu 16.04 полет нормальный

    ОтветитьУдалить
  3. Ubuntu 14.04.4 с ядром 4.4.0.21 из оф. репозитория. Полёт нормальный)))

    ОтветитьУдалить
  4. Уже несколько месяцев ядро не работает с проприетарным драйвером Nvidia в некоторых системах неужели это никого не волнует ни компанию Nvidia, ни разработчиков,я не понимаю было бы такое с виндой все бы давно шум подняли, что за монополия теперь всем Ubuntu 16.04 ставить чтоли чтобы полностью использовать возможности видеокарты

    ОтветитьУдалить
    Ответы
    1. ==всем Ubuntu 16.04 ставить чтоли чтобы полностью использовать возможности видеокарты==
      Нет, не обязательно устанавливать Ubuntu 16.04, а просто пользоваться ядром системы по умолчанию и проприетарным драйвером.)

      Удалить
  5. Можно это решить?
    ошибка: syntax error.
    ошибка: Incorrect command.
    ошибка: syntax error.
    Синтаксическая ошибка в строке 569
    В сгенерированном файле настроек GRUB обнаружены синтаксические ошибки.
    Убедитесь, что в файлах /etc/default/grub
    и /etc/grub.d/* ошибки отсутствуют или пошлите сообщение об ошибке
    в прикреплённым файлом /boot/grub/grub.cfg.new.

    ОтветитьУдалить
    Ответы
    1. попробуйте переустановить Grub.

      Удалить
  6. Mint Linux 17 64bit
    та же проблема уже целый год с момента релиза 4.5.х
    не могу обновится с ядра 4.4

    любое ядро НЕ совместимо с Nvidia даже с 370.28 хвалёной где как бы улучшили совместимость с новыми ядрами.
    На минт 18 любое ядро совместимо с Нвидия от 4.5 до 4.8
    А на Минт 17 (а мне надо именно на 17) - не ставится нифига
    отваливается Nvidia, а без Nvidia мне ядро вообще ненужно.
    Как решить этот косяк? фс

    ОтветитьУдалить